%global namedversion %{version}%{?namedreltag}

Name:           jackson-annotations
Version:        2.3.0
Release:        3%{?reltag}%{?dist}
Epoch:          0
Summary:        Jackson-annotations
License:        ASL 2.0
Group:          Development/Java
URL:            http://wiki.fasterxml.com/JacksonHome
%if 0
/bin/rm -rf jackson-annotations-2.3.0.tar.xz jackson-annotations-2.3.0/ jackson-annotations/ .gitignore
/usr/bin/git clone -q -n https://github.com/FasterXML/jackson-annotations.git
cd  jackson-annotations/
/usr/bin/git archive --prefix=jackson-annotations-2.3.0/ jackson-annotations-2.3.0 | /usr/bin/xz -9 > ../jackson-annotations-2.3.0.tar.xz
cd ../
/usr/bin/rhpkg new-sources jackson-annotations-2.3.0.tar.xz
/usr/bin/rhpkg prep
%endif
Source0:        jackson-annotations-2.3.0.tar.xz
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       fasterxml-oss-parent >= 0:11
BuildRequires:  fasterxml-oss-parent >= 0:11
#
BuildRequires:  maven-bundle-plugin >= 0:2.3.7
BuildRequires:  build-helper-maven-plugin >= 0:1.7
BuildRequires:  maven-scm-plugin >= 0:1.7
BuildRequires:  doclava >= 0:1.0.3
BuildRequires:  jsilver >= 0:1.0.0
BuildRequires:  maven-jxr-plugin >= 0:2.3
# XXX: 2.0-beta-2
BuildRequires:  jdepend-maven-plugin >= 0:2.0
BuildRequires:  maven-surefire-report-plugin >= 0:2.12
BuildRequires:  maven-pmd-plugin >= 0:2.7.1
BuildRequires:  taglist-maven-plugin >= 0:2.4
#
BuildRequires:  cobertura-maven-plugin >= 0:2.5.1
BuildRequires:  maven-antrun-plugin >= 0:1.3
BuildRequires:  maven-assembly-plugin >= 0:2.2-beta-2
BuildRequires:  maven-clean-plugin >= 0:2.5
BuildRequires:  maven-dependency-plugin >= 0:2.0
BuildRequires:  maven-ear-plugin >= 0:2.3.1
BuildRequires:  maven-ejb-plugin >= 0:2.1
BuildRequires:  maven-fluido-skin >= 0:1.2.2
BuildRequires:  maven-plugin-plugin >= 0:2.4.3
BuildRequires:  maven-rar-plugin >= 0:2.2
BuildRequires:  maven-release-plugin >= 0:2.4.1
BuildRequires:  maven-war-plugin >= 0:2.1-alpha-2
BuildRequires:  replacer >= 0:1.5.2
#
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-default-skin
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-project-info-reports-plugin
BuildRequires:  maven-remote-resources-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  surefire-junit4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-annotations-%{namedversion}-%{release}-root

%description
Core annotations used for value types, used by Jackson data binding package.

%package -n jackson-annotations-javadoc
Summary:        Javadoc for jackson-annotations
Group:          Development/Documentation
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description -n jackson-annotations-javadoc
%{summary}.

%package -n jackson-annotations-site
Summary:        Site for jackson-annotations
Group:          Development/Documentation
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jackson-annotations-javadoc = %{epoch}:%{version}-%{release}

%description -n jackson-annotations-site
%{summary}.

%prep
%setup -q -n jackson-annotations-%{namedversion}

%build
export MAVEN_REPO_LOCAL=${PWD}/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=remote-repository::default::file://${PWD}/maven2-brew
export MAVEN_OPTS=
%{_bindir}/mvn-jpp -X -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} -DperformRelease -Denforcer.skip dependency:resolve-plugins dependency:tree install deploy javadoc:aggregate site

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/com/fasterxml/jackson/core/jackson-annotations/%{namedversion}/jackson-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-annotations-%{namedversion}.jar
%{__cp} -p maven2-brew/com/fasterxml/jackson/core/jackson-annotations/%{namedversion}/jackson-annotations-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-annotations-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/com/fasterxml/jackson/core/jackson-annotations/%{namedversion}/jackson-annotations-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-annotations-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p maven2-brew/com/fasterxml/jackson/core/jackson-annotations/%{namedversion}/jackson-annotations-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jackson-annotations.pom

# depmaps
%add_to_maven_depmap com.fasterxml.jackson.core jackson-annotations %{namedversion} JPP jackson-annotations
[ %{name} = "jackson-annotations" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jackson-annotations

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-annotations-%{namedversion}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/jackson-annotations-%{namedversion}
%{__ln_s} jackson-annotations-%{namedversion} %{buildroot}%{_javadocdir}/jackson-annotations

# site
%{__mkdir_p} %{buildroot}%{_docdir}/jackson-annotations-%{namedversion}
%{__cp} -pr target/site/* %{buildroot}%{_docdir}/jackson-annotations-%{namedversion}
%{__rm} -r %{buildroot}%{_docdir}/jackson-annotations-%{namedversion}/apidocs
%{__ln_s} %{_javadocdir}/jackson-annotations %{buildroot}%{_docdir}/jackson-annotations-%{namedversion}/apidocs
%{__ln_s} jackson-annotations-%{namedversion} %{buildroot}%{_docdir}/jackson-annotations

%clean
%{__rm} -rf %{buildroot}

%post -n jackson-annotations
%update_maven_depmap

%postun -n jackson-annotations
%update_maven_depmap

%files -n jackson-annotations
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/jackson-annotations-%{namedversion}.jar
%{_javadir}/jackson-annotations.jar
%{_javadir}/jackson-annotations-%{namedversion}-javadoc.jar
%{_javadir}/jackson-annotations-javadoc.jar
%{_javadir}/jackson-annotations-%{namedversion}-sources.jar
%{_javadir}/jackson-annotations-sources.jar
%{_mavenpomdir}/JPP-jackson-annotations.pom
%{_mavendepmapfragdir}/jackson-annotations

%files -n jackson-annotations-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-annotations-%{namedversion}
%{_javadocdir}/jackson-annotations

%files -n jackson-annotations-site
%defattr(0644,root,root,0755)
%{_docdir}/jackson-annotations-%{namedversion}
%{_docdir}/jackson-annotations

%changelog
* Mon Dec 16 2013 David Walluck <dwalluck@redhat.com> 0:2.3.0-3
- BuildRequires: maven-default-skin (maven 3.x)

* Mon Dec 16 2013 David Walluck <dwalluck@redhat.com> 0:2.3.0-2
- BuildRequires: maven-fluido-skin >= 0:1.2.2

* Mon Dec 16 2013 David Walluck <dwalluck@redhat.com> 0:2.3.0-1
- 2.3.0

* Fri Aug 23 2013 David Walluck <dwalluck@redhat.com> 0:2.2.3-1
- 2.2.3
- use external oss-parent

* Wed Aug 07 2013 David Walluck <dwalluck@redhat.com> 0:2.2.2-1
- release
